Issue 118921 - Linked sheet color is not correct after reload action if source sheet color get changed
Summary: Linked sheet color is not correct after reload action if source sheet color g...
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: formatting (show other issues)
Version: recent-trunk
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: Ariel Constenla-Haile
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-16 07:14 UTC by Terry Yang
Modified: 2012-06-06 09:00 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Terry Yang 2012-02-16 07:14:30 UTC
Step:
1. New and save a spreadsheet with custom sheet color as source document
2. New a spreadsheet as destination document.
3. Insert a the source document custom color sheet as a link to destination, save this document.
4. Open source document, change the sheet color which linked to destination document, then save it.
5. Go to destination document, reload the document.

Result:
The color is not change, it keep same as before.
If we click mouse on the sheet tab, the color get changed immediate.
Comment 1 Ariel Constenla-Haile 2012-02-16 21:06:40 UTC
Will fixing this, found a related bug: undo the Update link does not reset the sheet tab color.

Besides, the behavior is different if you update the link with 
* the menu File - Reload, or 
* the dialog from the menu Edit - Links.... Select the link from the list box, and press the "Update" link button.

Bug is in ScDocShell::ReloadTabLinks that calls ScTableLink::SetPaint(sal_False) before calling ScTableLink::Update(): painting only after Update() makes no sense because ScTableLink::Refresh() will post a Paint only is bDoPaint is true.
Comment 2 Ariel Constenla-Haile 2012-02-16 21:13:19 UTC
Fixed in revision 1245177
Comment 3 Ariel Constenla-Haile 2012-05-15 07:16:49 UTC
@Terry Yang: Apache OpenOffice 3.4 has been released. Could you please verify this issue is solved in the current release? You can download Apache OpenOffice from http://www.openoffice.org/download
Comment 4 Terry Yang 2012-06-06 09:00:38 UTC
Verify fixed on Rev.1327774, close as fixed